## fwupd 2.0.16

=== meson_options.txt ===
option('bash_completion',
  type: 'boolean',
  value: true,
  description: 'enable bash completion',
)
option('bluez',
  type: 'feature',
  description: 'BlueZ support',
)
option('build',
  type: 'combo',
  choices: [
    'all',
    'standalone',
    'library',
  ],
  value: 'all',
  description: 'build type',
)
option('cbor',
  type: 'feature',
  description: 'CBOR support for coSWID and uSWID',
)
option('dbus_socket_address',
  type: 'string',
  value: '',
  description: 'D-Bus socket address to use for p2p mode',
)
option('docs',
  type: 'feature',
  description: 'Build developer documentation',
)
option('efi_binary',
  type: 'boolean',
  value: false,
  description: 'generate uefi binary if missing',
)
option('efi_os_dir',
  type: 'string',
  description: 'the hardcoded name of OS directory in ESP, e.g. fedora',
)
option('firmware-packager',
  type: 'boolean',
  value: true,
  description: 'enable firmware-packager installation',
)
option('fish_completion',
  type: 'boolean',
  value: true,
  description: 'enable fish completion',
)
option('gnutls',
  type: 'feature',
  description: 'GnuTLS support',
)
option('hsi',
  type: 'feature',
  description: ' Host Security Information',
)
option('introspection',
  type: 'feature',
  description: 'generate GObject Introspection data',
)
option('launchd_agent_dir',
  type: 'string',
  value: '/Library/LaunchAgents',
  description: 'Directory to put the launchd agent',
)
option('libarchive',
  type: 'feature',
  description: 'libarchive support',
)
option('readline',
  type: 'feature',
  description: 'readline support',
)
option('libdrm',
  type: 'feature',
  description: 'libdrm support',
)
option('valgrind',
  type: 'feature',
  description: 'valgrind support',
)
option('blkid',
  type: 'feature',
  description: 'libblkid support',
)
option('lvfs',
  type: 'combo',
  choices: [
    'true',
    'false',
    'disabled',
  ],
  value: 'true',
  description: 'install LVFS remotes',
)
option('man',
  type: 'boolean',
  value: true,
  description: 'enable man pages',
)
option('metainfo',
  type: 'boolean',
  value: true,
  description: 'install the project metainfo.xml information',
)
option('passim',
  type: 'feature',
  description: 'Passim support',
)
option('p2p_policy',
  type: 'combo',
  choices: [
    'none',
    'metadata',
    'firmware',
    'metadata,firmware',
  ],
  value: 'metadata',
  description: 'Default P2P sharing policy',
)
option('plugin_flashrom',
  type: 'feature',
  description: 'flashrom support',
)
option('protobuf',
  type: 'feature',
  description: 'protobuf support',
)
option('plugin_modem_manager',
  type: 'feature',
  description: 'ModemManager support',
)
option('plugin_uefi_capsule_splash',
  type: 'boolean',
  value: true,
  description: 'enable UEFI capsule splash support',
)
option('polkit',
  type: 'feature',
  description: 'PolKit support in daemon',
)
option('python',
  type: 'string',
  description: 'the absolute path of the python3 binary',
)
option('qubes',
  type: 'boolean',
  value: false,
  description: 'build packages for Qubes OS',
)
option('static_analysis',
  type: 'boolean',
  value: false,
  description: 'enable GCC static analysis support',
)
option('supported_build',
  type: 'feature',
  description: 'distribution package with upstream support',
)
option('systemd',
  type: 'feature',
  description: 'systemd support',
)
option('systemd_root_prefix',
  type: 'string',
  value: '',
  description: 'Directory to base systemd’s installation directories on',
)
option('systemd_unit_user',
  type: 'string',
  value: 'fwupd-refresh',
  description: 'User account to use for fwupd-refresh.service (empty for DynamicUser)',
)
option('tests',
  type: 'boolean',
  value: true,
  description: 'enable tests',
)
option('umockdev_tests',
  type: 'feature',
  description: 'umockdev tests',
)
option('vendor_ids_dir',
  type: 'string',
  value: '',
  description: 'Directory for usb.ids, pci.ids etc.',
)
option('vendor_metadata',
  type: 'boolean',
  value: false,
  description: 'install OS vendor provided metadata',
)

=== contrib/freebsd/Makefile ===
# Created by: Norbert Kamiński <norbert.kaminski@3mdeb.com>
# $FreeBSD$

PORTNAME=	fwupd
DISTVERSION=
GH_TAGNAME=
CATEGORIES=	sysutils

MAINTAINER=	norbert.kaminski@3mdeb.com
COMMENT=	Update firmware automatically, safely, and reliably

LICENSE=	LGPL21

BUILD_DEPENDS=	gi-docgen:textproc/gi-docgen \
		help2man:misc/help2man \
		vala:lang/vala \
		${LOCALBASE}/libexec/fwupd/efi/fwupdx64.efi:sysutils/fwupd-efi \
		${PYTHON_PKGNAMEPREFIX}gobject3>0:devel/py-gobject3@${PY_FLAVOR}
LIB_DEPENDS=	libcurl.so:ftp/curl \
		libefiboot.so:devel/libefiboot \
		libgnutls.so:security/gnutls \
		libgpg-error.so:security/libgpg-error \
		libgpgme.so:security/gpgme \
		libusb.so:devel/libusb \
		libjcat.so:textproc/libjcat \
		libjson-glib-1.0.so:devel/json-glib \
		libprotobuf-c.so:devel/protobuf-c \
		libcbor.so:devel/libcbor \
		libxmlb.so:textproc/libxmlb \
		libefiboot.so:devel/gnu-efi

RUN_DEPENDS=	${LOCALBASE}/libexec/fwupd/efi/fwupdx64.efi:sysutils/fwupd-efi

USES=		gnome libarchive meson pkgconfig python:3.8+ shebangfix sqlite
USE_GITHUB=	yes
USE_GNOME=	glib20 introspection:build
GH_ACCOUNT=
INSTALLS_ICONS=	yes
USE_LDCONFIG=	yes

SHEBANG_GLOB=	*.py

MESON_ARGS=	-Dpolkit=disabled \
		-Dsystemd=disabled \
		-Dtests=false \
		-Ddocs=enabled

.include <bsd.port.mk>

=== debian/changelog ===
fwupd (2.0.16-3) unstable; urgency=medium

  * d/rules: Explicitly set efi_os_dir
    (Closes: #1105176) (Closes: #1112464)
  * d/control: Drop b-d on python3-typogrify
    (Closes: #1105777)
  * Changes for build-dependency on libgirepository1.0-dev
    (Closes: #1118817)
  * Backport a patch to fix a segfault with flashrom (Closes: #1118449)

 -- Mario Limonciello <superm1@debian.org>  Sat, 25 Oct 2025 14:57:03 -0500

fwupd (2.0.16-2) unstable; urgency=medium

  * Backport a patch from upstream to drop python3-toml b-d
  * d/copyright, d/control: refresh against dependencies.xml (Closes: #1110022)

 -- Mario Limonciello <superm1@debian.org>  Mon, 15 Sep 2025 14:24:29 -0500

fwupd (2.0.16-1) unstable; urgency=medium

  * New upstream version (2.0.16)

 -- Mario Limonciello <superm1@debian.org>  Fri, 12 Sep 2025 09:27:26 -0500

=== debian/control ===
Source: fwupd
Priority: optional
Maintainer: Debian EFI <debian-efi@lists.debian.org>
Uploaders: Steve McIntyre <93sam@debian.org>,
           Matthias Klumpp <mak@debian.org>,
           Mario Limonciello <superm1@debian.org>
Build-Depends:
	bash-completion,
	debhelper (>= 12),
	dh-strip-nondeterminism,
	fontconfig,
	fonts-noto,
	fwupd-unsigned-dev [amd64 arm64 armhf i386],
	gettext (>= 0.19.8.1),
	gir1.2-pango-1.0,
	gnu-efi [amd64 arm64 armhf i386],
	gnutls-bin,
	gnutls-dev,
	gobject-introspection,
	hwdata,
	libarchive-dev,
	libblkid-dev,
	libcairo-dev,
	libcairo-gobject2,
	libcbor-dev,
	libcurl4-gnutls-dev,
	libdrm-dev,
	libflashrom-dev [!ia64],
	libfreetype-dev,
	libftdi1-dev,
	gir1.2-gio-2.0-dev,
	gir1.2-gobject-2.0-dev,
	gobject-introspection (>= 1.80),
	libglib2.0-dev (>= 2.45.8),
	libjaylink-dev [!ia64],
	libjcat-dev,
	libjson-glib-dev (>= 1.1.1),
	liblzma-dev,
	libmbim-glib-dev,
	libmm-glib-dev,
	libmnl-dev,
	libpci-dev,
	libpolkit-gobject-1-dev,
	libprotobuf-c-dev,
	libqmi-glib-dev,
	libqrtr-glib-dev,
	libreadline-dev,
	libsqlite3-dev,
	libsystemd-dev,
	libtss2-dev,
	libusb-1.0-0-dev,
	libxmlb-dev (>= 0.3.22),
	libzstd-dev,
	locales,
	meson,
	mingw-w64-tools [amd64 arm64 armhf i386],
	pkgconf,
	polkitd,
	protobuf-c-compiler,
	python3-gi-cairo,
	python3-jinja2,
	python3-packaging,
	python3-pefile,
	python3-requests,
	shared-mime-info,
	systemd-dev,
	udev,
	umockdev,
	valac,
	valgrind-if-available,
Build-Depends-Indep: gi-docgen <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Section: admin
Homepage: https://github.com/fwupd/fwupd
Vcs-Git: https://salsa.debian.org/efi-team/fwupd.git
Vcs-Browser: https://salsa.debian.org/efi-team/fwupd

Package: libfwupd3
Section: libs
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Firmware update daemon library
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Firmware updates are supported for a variety of technologies.
 See <https://github.com/fwupd/fwupd> for details
 .
 This package provides the library used by the daemon.

Package: fwupd
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libxmlb2 (>= 0.3.22),
         libfwupd3 (= ${binary:Version}),
         shared-mime-info,
         systemd-sysusers
Recommends: python3,
	    bolt,
	    default-dbus-system-bus | dbus-system-bus,
	    ${recommends:secureboot-db}
	    udisks2,
	    fwupd-signed,
	    jq
Suggests: gir1.2-fwupd-2.0
Provides: fwupdate,
	  ${gir:Provides}
Conflicts: fwupdate-amd64-signed,
	   fwupdate-i386-signed,
	   fwupdate-arm64-signed,
	   fwupdate-armhf-signed
Breaks: ${gir:Depends},
	libdfu1 (<< 0.9.7-1),
	fwupdate (<< 12-7),
	libdfu-dev (<< 0.9.7-1)
Replaces: gir1.2-dfu-1.0 (<< 0.9.7-1),
	  libdfu1 (<< 0.9.7-1),
	  libdfu-dev (<< 0.9.7-1),
	  fwupdate (<< 12-7)
Multi-Arch: foreign
Description: Firmware update daemon
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Firmware updates are supported for a variety of technologies.
 See <https://github.com/fwupd/fwupd> for details

Package: fwupd-tests
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ca-certificates,
         default-dbus-system-bus | dbus-system-bus,
         fwupd,
         gnome-desktop-testing,
         ieee-data,
         polkitd | policykit-1,
         python3,
         python3-gi,
         python3-requests,
Breaks: fwupd (<< 0.9.4-1)
Replaces: fwupd (<< 0.9.4-1)
Multi-Arch: foreign
Description: Test suite for firmware update daemon
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Firmware updates are supported for a variety of technologies.
 See <https://github.com/fwupd/fwupd> for details
 .
 This package provides a set of installed tests that can be run to validate
 the daemon in a continuous integration system.

Package: fwupd-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Build-Profiles: <!nodoc>
Description: Firmware update daemon documentation (HTML format)
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Firmware updates are supported for a variety of technologies.
 See <https://github.com/fwupd/fwupd> for details
 .
 This package provides development documentation for creating a package that
 uses fwupd.

Package: libfwupd-dev
Architecture: linux-any
Depends: libfwupd3 (= ${binary:Version}),
         ${gir:Depends},
         libcurl4-gnutls-dev,
         libglib2.0-dev (>= 2.45.8),
         libjcat-dev,
         libjson-glib-dev (>= 1.1.1),
         ${misc:Depends}
Provides: ${gir:Provides}
Breaks: fwupd-dev (<< 0.5.4-2~)
Replaces: fwupd-dev (<< 0.5.4-2~)
Section: libdevel
Description: development files for libfwupd
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Firmware updates are supported for a variety of technologies.
 See <https://github.com/fwupd/fwupd> for details
 .
 This package provides the development files for libfwupd

Package: gir1.2-fwupd-2.0
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${gir:Depends}
Provides: ${gir:Provides}
Section: introspection
Description: GObject introspection data for libfwupd
 This package provides the introspection data for libfwupd.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export LC_ALL := C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_STRIP=-Wl,-Bsymbolic-functions

#GPGME needs this for proper building on 32 bit archs
ifeq ($(DEB_HOST_ARCH_BITS),32)
	export DEB_CFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
endif

CONFARGS =

ifneq ($(CI),)
	CONFARGS += --werror -Db_coverage=true
else
	CONFARGS += -Dsupported_build=enabled
endif

ifneq ($(DEB_HOST_ARCH_CPU),ia64)
	CONFARGS += -Dplugin_flashrom=enabled
else
	CONFARGS += -Dplugin_flashrom=disabled
endif

ifneq ($(QUBES_OPTION),)
	CONFARGS += -Dqubes=true
endif

ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	CONFARGS += -Ddocs=disabled
endif

CONFARGS += -Dplugin_modem_manager=enabled

ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
	CONFARGS += -Defi_os_dir=ubuntu

else ifeq (yes,$(shell dpkg-vendor --derives-from Debian && echo yes))
	CONFARGS += -Defi_os_dir=debian
endif

%:
	dh $@ --with gir

override_dh_auto_clean:
	rm -fr obj-*
	rm -fr debian/build

override_dh_auto_configure:
	dh_auto_configure -- $(CONFARGS)

override_dh_install:
	find debian/tmp/usr -type f -name "*a" -print | xargs rm -f
	sed -i 's,wheel,sudo,' debian/tmp/usr/share/polkit-1/rules.d/org.freedesktop.fwupd.rules
	dh_install
	dh_install -pfwupd $$(pkg-config --variable=systemdsystemunitdir systemd | sed s,^/,,)
	#install MSR conf if needed (depending on distro)
	[ ! -d debian/tmp/usr/lib/modules-load.d ] || dh_install -pfwupd usr/lib/modules-load.d
	[ ! -d debian/tmp/lib/modules-load.d ] || dh_install -pfwupd lib/modules-load.d
	[ ! -d debian/tmp/usr/share/fwupd/quirks.d ] || dh_install -pfwupd usr/share/fwupd/quirks.d

	#install docs (maybe)
	[ ! -d debian/tmp/usr/share/doc ] || dh_install -pfwupd-doc usr/share/doc

	#install devices-tests (maybe)
	[ ! -d debian/tmp/usr/share/fwupd/device-tests/ ] || dh_install -pfwupd-tests usr/share/fwupd/device-tests

	#/usr merge or not (make backporting easier)
	[ ! -d debian/tmp/lib/systemd ] || dh_install -pfwupd lib/systemd
	[ ! -d debian/tmp/usr/lib/systemd ] || dh_install -pfwupd usr/lib/systemd

	dh_missing -a --fail-missing

	#this is placed in fwupd-tests
	rm -f debian/fwupd/usr/share/fwupd/remotes.d/fwupd-tests.conf

	#use ieee-data
	rm -f debian/fwupd-tests/usr/share/installed-tests/fwupd/tests/oui.txt
	[ ! -d debian/fwupd-tests/usr/share/installed-tests/fwupd/tests ] || ln -s /usr/share/ieee-data/oui.txt debian/fwupd-tests/usr/share/installed-tests/fwupd/tests/oui.txt

	# avoid shipping an empty directory
	[ ! -d debian/fwupd/lib/systemd ] || find debian/fwupd/lib/systemd -type d -empty -delete
	[ ! -d debian/fwupd/usr/lib/systemd ] || find debian/fwupd/usr/lib/systemd -type d -empty -delete

	# the below step is automatic with debhelper >= 14
	dh_installsysusers

override_dh_gencontrol:
	if dpkg-vendor --derives-from ubuntu; then \
		dh_gencontrol -- -Vrecommends:secureboot-db="secureboot-db,"; \
	else \
		dh_gencontrol -- -Vrecommends:secureboot-db=""; \
	fi

override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -Xfirmware-example.xml.gz

ifneq (yes,$(shell command -v valgrind >/dev/null 2>&1 && echo yes))
override_dh_auto_test:
	:
endif

override_dh_builddeb:
	dh_builddeb

=== debian/tests/control ===
Tests: ci
Restrictions: needs-root

Tests: ci-flaky
Restrictions: needs-root, flaky

Tests: libfwupd-dev
Depends: build-essential, libfwupd-dev, pkg-config
Restrictions: allow-stderr, superficial

## fwupd 2.0.17

=== meson_options.txt ===
option(
  'bash_completion',
  type: 'boolean',
  value: true,
  description: 'enable bash completion',
)
option(
  'blkid',
  type: 'feature',
  description: 'libblkid support',
)
option(
  'bluez',
  type: 'feature',
  description: 'BlueZ support',
)
option(
  'build',
  type: 'combo',
  choices: ['all', 'standalone', 'library'],
  value: 'all',
  description: 'build type',
)
option(
  'cbor',
  type: 'feature',
  description: 'CBOR support for coSWID and uSWID',
)
option(
  'dbus_socket_address',
  type: 'string',
  value: '',
  description: 'D-Bus socket address to use for p2p mode',
)
option(
  'docs',
  type: 'feature',
  description: 'Build developer documentation',
)
option(
  'efi_binary',
  type: 'boolean',
  value: false,
  description: 'generate uefi binary if missing',
)
option(
  'efi_os_dir',
  type: 'string',
  description: 'the hardcoded name of OS directory in ESP, e.g. fedora',
)
option(
  'firmware-packager',
  type: 'boolean',
  value: true,
  description: 'enable firmware-packager installation',
)
option(
  'fish_completion',
  type: 'boolean',
  value: true,
  description: 'enable fish completion',
)
option(
  'gnutls',
  type: 'feature',
  description: 'GnuTLS support',
)
option(
  'hsi',
  type: 'feature',
  description: 'Host Security Information',
)
option(
  'introspection',
  type: 'feature',
  description: 'generate GObject Introspection data',
)
option(
  'launchd_agent_dir',
  type: 'string',
  value: '/Library/LaunchAgents',
  description: 'Directory to put the launchd agent',
)
option(
  'libarchive',
  type: 'feature',
  description: 'libarchive support',
)
option(
  'libdrm',
  type: 'feature',
  description: 'libdrm support',
)
option(
  'libmnl',
  type: 'feature',
  description: 'libmnl support',
)
option(
  'lvfs',
  type: 'combo',
  choices: ['true', 'false', 'disabled'],
  value: 'true',
  description: 'install LVFS remotes',
)
option(
  'man',
  type: 'boolean',
  value: true,
  description: 'enable man pages',
)
option(
  'metainfo',
  type: 'boolean',
  value: true,
  description: 'install the project metainfo.xml information',
)
option(
  'p2p_policy',
  type: 'combo',
  choices: ['none', 'metadata', 'firmware', 'metadata,firmware'],
  value: 'metadata',
  description: 'Default P2P sharing policy',
)
option(
  'passim',
  type: 'feature',
  description: 'Passim support',
)
option(
  'plugin_flashrom',
  type: 'feature',
  description: 'flashrom support',
)
option(
  'plugin_modem_manager',
  type: 'feature',
  description: 'ModemManager support',
)
option(
  'plugin_uefi_capsule_splash',
  type: 'boolean',
  value: true,
  description: 'enable UEFI capsule splash support',
)
option(
  'polkit',
  type: 'feature',
  description: 'PolKit support in daemon',
)
option(
  'protobuf',
  type: 'feature',
  description: 'protobuf support',
)
option(
  'python',
  type: 'string',
  description: 'the absolute path of the python3 binary',
)
option(
  'qubes',
  type: 'boolean',
  value: false,
  description: 'build packages for Qubes OS',
)
option(
  'readline',
  type: 'feature',
  description: 'readline support',
)
option(
  'static_analysis',
  type: 'boolean',
  value: false,
  description: 'enable GCC static analysis support',
)
option(
  'supported_build',
  type: 'feature',
  description: 'distribution package with upstream support',
)
option(
  'systemd',
  type: 'feature',
  description: 'systemd support',
)
option(
  'systemd_root_prefix',
  type: 'string',
  value: '',
  description: 'Directory to base systemd’s installation directories on',
)
option(
  'systemd_unit_user',
  type: 'string',
  value: 'fwupd-refresh',
  description: 'User account to use for fwupd-refresh.service (empty for DynamicUser)',
)
option(
  'tests',
  type: 'boolean',
  value: true,
  description: 'enable tests',
)
option(
  'umockdev_tests',
  type: 'feature',
  description: 'umockdev tests',
)
option(
  'valgrind',
  type: 'feature',
  description: 'valgrind support',
)
option(
  'vendor_ids_dir',
  type: 'string',
  value: '',
  description: 'Directory for usb.ids, pci.ids etc.',
)
option(
  'vendor_metadata',
  type: 'boolean',
  value: false,
  description: 'install OS vendor provided metadata',
)

=== contrib/snap/update-mime/Makefile ===
build:
	true
install:
	update-mime-database ../install/usr/share/mime
	glib-compile-schemas ../install/usr/share/glib-2.0/schemas

=== debian/changelog ===
fwupd (2.0.17-6) unstable; urgency=medium

  * Backport a patch to fix x86 32 bit installed tests

 -- Mario Limonciello <superm1@debian.org>  Mon, 10 Nov 2025 23:02:48 -0600

fwupd (2.0.17-5) unstable; urgency=medium

  * d/tests/control: depends on fwupd-tests instead of fwupd

 -- Mario Limonciello <superm1@gmail.com>  Mon, 10 Nov 2025 09:48:40 -0600

fwupd (2.0.17-4) unstable; urgency=medium

  * d/t/control: Explicitly add fwupd to depends

 -- Mario Limonciello <superm1@debian.org>  Sun, 09 Nov 2025 20:22:43 -0600

fwupd (2.0.17-3) unstable; urgency=medium

  * d/t/control: Add missing depends for autopkgtest

 -- Mario Limonciello <superm1@debian.org>  Sat, 08 Nov 2025 08:26:36 -0600

fwupd (2.0.17-2) unstable; urgency=medium

  * Backport a fix for installed tests failures with mtdram

 -- Mario Limonciello <superm1@debian.org>  Thu, 06 Nov 2025 09:54:29 -0600

fwupd (2.0.17-1) unstable; urgency=medium

  * New upstream version (2.0.17)

 -- Mario Limonciello <superm1@gmail.com>  Wed, 05 Nov 2025 13:22:11 -0600

fwupd (2.0.16-4) unstable; urgency=medium

  * Enable passim support in Debian (disabled in Ubuntu right now).

 -- Mario Limonciello <superm1@gmail.com>  Thu, 30 Oct 2025 10:15:26 -0500

=== debian/tests/control ===
Tests: ci
Depends: kmod, jq, fwupd-tests
Restrictions: needs-root

Tests: ci-flaky
Depends: kmod, jq, fwupd-tests
Restrictions: needs-root, flaky

Tests: libfwupd-dev
Depends: build-essential, libfwupd-dev, pkgconf
Restrictions: allow-stderr, superficial

## fwupd 2.0.18

=== debian/changelog ===
fwupd (2.0.18-1) unstable; urgency=medium

  * New upstream version (2.0.18)
  * Drop upstream patches

 -- Mario Limonciello <superm1@debian.org>  Mon, 01 Dec 2025 08:08:20 -0600

## fwupd 2.0.19

=== debian/changelog ===
fwupd (2.0.19-1ubuntu2) resolute; urgency=medium

  * Fix snapd bad request on db updates (LP: #2139611):
    - d/p/db-update-snapd-bad-request.patch: On TPM/FDE systems, db updates
      require notifying snapd for preparation. However, the payload uses an
      incorrect format for composite updates. Change the format to align
      with snapd.

 -- Simon Johnsson <simon.johnsson@canonical.com>  Mon, 23 Feb 2026 12:12:45 +0100

fwupd (2.0.19-1ubuntu1) resolute; urgency=medium

  * d/p/fwupdmgr-fde-verify-snapd-recovery-key.patch: Make fwupdmgr
    verify snapd recovery key through prompt on updates affecting FDE.
    (LP: #2138609)

 -- Simon Johnsson <simon.johnsson@canonical.com>  Thu, 22 Jan 2026 16:38:17 +0100

fwupd (2.0.19-1) unstable; urgency=medium

  * New upstream version (2.0.19)

 -- Mario Limonciello <superm1@debian.org>  Sat, 20 Dec 2025 22:13:58 -0600

## fwupd 2.0.20

=== meson_options.txt ===
--- 
+++ 
@@ -123,6 +123,12 @@
   description: 'Default P2P sharing policy',
 )
 option(
+  'udev_hotplug',
+  type: 'boolean',
+  value: true,
+  description: 'Use the udev netlink hotplug event source',
+)
+option(
   'passim',
   type: 'feature',
   description: 'Passim support',

=== debian/changelog ===
fwupd (2.0.20-1ubuntu1) resolute; urgency=low

  * Enable UMA carveout feature (LP: #2142298)
  * Merge from Debian unstable. Remaining changes:
    - d/p/db-update-snapd-bad-request.patch: On TPM/FDE systems, db updates
      require notifying snapd for preparation. However, the payload uses an
      incorrect format for composite updates. Change the format to align
      with snapd.
    - d/p/fwupdmgr-fde-verify-snapd-recovery-key.patch: Make fwupdmgr
      verify snapd recovery key through prompt on updates affecting FDE.

 -- Mario Limonciello <superm1@gmail.com>  Fri, 27 Feb 2026 20:24:47 -0600

fwupd (2.0.20-1) unstable; urgency=medium

  * New upstream version (2.0.20)

 -- Mario Limonciello <superm1@gmail.com>  Thu, 26 Feb 2026 06:49:36 -0600

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: fwupd
 Priority: optional
-Maintainer: Debian EFI <debian-efi@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian EFI <debian-efi@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>,
            Matthias Klumpp <mak@debian.org>,
            Mario Limonciello <superm1@debian.org>
@@ -39,6 +40,7 @@
 	libmbim-glib-dev,
 	libmm-glib-dev,
 	libmnl-dev,
+	libpassim-dev,
 	libpci-dev,
 	libpolkit-gobject-1-dev,
 	libprotobuf-c-dev,

=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,7 @@
 CONFARGS += -Dplugin_modem_manager=enabled
 
 ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
-	CONFARGS += -Defi_os_dir=ubuntu
+	CONFARGS += -Defi_os_dir=ubuntu -Dpassim=disabled
 
 else ifeq (yes,$(shell dpkg-vendor --derives-from Debian && echo yes))
 	CONFARGS += -Defi_os_dir=debian
@@ -104,3 +104,6 @@
 
 override_dh_builddeb:
 	dh_builddeb
+
+execute_after_dh_auto_build:
+	dh_auto_build -- fwupd-pot
